<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_fff9f9f9"
    tools:context=".viewui.TextResultActivity">

    <ImageView
        android:id="@+id/iv_tr_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="16dp"
        android:paddingTop="16dp"
        android:paddingEnd="16dp"
        android:src="@drawable/ic_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/tr_title"
        android:textColor="@color/main_text_ff1f1724"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/iv_tr_back"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/iv_tr_back" />

    <LinearLayout
        android:id="@+id/ll_main_enter_text"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/button_r20_white_bg"
        android:orientation="vertical"
        android:paddingStart="12dp"
        android:paddingTop="16dp"
        android:paddingEnd="12dp"
        android:paddingBottom="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_tr_back">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_tr_source"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:gravity="start|top"
                android:maxLines="5"
                android:minHeight="140dp"
                android:textColor="@color/main_text_ff1f1724"
                android:textSize="16sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/iv_source_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:padding="12dp"
                android:src="@drawable/ic_tr_close" />
        </LinearLayout>

        <ImageView
            android:id="@+id/iv_source_tts"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:src="@drawable/ic_voice" />

        <View
            android:layout_width="wrap_content"
            android:layout_height="5dp"
            android:background="@drawable/ic_dashed_line" />

        <TextView
            android:id="@+id/tv_tr_target"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@android:color/transparent"
            android:gravity="start|top"
            android:maxLines="5"
            android:minHeight="140dp"
            android:textColor="@color/main_text_ff1f1724"
            android:textSize="16sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_target_tts"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginEnd="12dp"
                android:src="@drawable/ic_voice" />

            <ImageView
                android:id="@+id/iv_tr_copy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginEnd="12dp"
                android:src="@drawable/ic_copy" />

            <ImageView
                android:id="@+id/iv_tr_target_share"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginEnd="12dp"
                android:src="@drawable/ic_share" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <ImageView
                android:id="@+id/iv_tr_collect"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="12dp"
                android:src="@drawable/ic_like_def" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/main_text_ffffffff"
        android:paddingStart="16dp"
        android:paddingTop="12dp"
        android:paddingEnd="16dp"
        android:paddingBottom="32dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <ImageView
            android:id="@+id/iv_re_to_photo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/tr_photo" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_gravity="center"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_tr_new_trans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/button_r24_blue_bg"
            android:drawablePadding="8dp"
            android:gravity="center"
            android:paddingStart="31dp"
            android:paddingTop="12dp"
            android:paddingEnd="31dp"
            android:paddingBottom="12dp"
            android:text="@string/tr_add_new"
            android:textColor="@color/main_text_ffffffff"
            android:textSize="18sp"
            app:drawableStartCompat="@drawable/ic_add" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>